> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/es/powershell-commands/set-rdmentryprivatekey.md).

# Set-RDMEntryPrivateKey

Set-RDMEntryPrivateKey establece las claves pública y privada en una entrada de credenciales SSH de Remote Desktop Manager.

### Sinopsis

Establecer las claves pública y privada de una entrada

### Sintaxis

#### \_\_AllParameterSets

```
Set-RDMEntryPrivateKey [-Key] <PSSSHKey> -InputObject <PSConnection> [-PassThru] [-Set]
 [-VaultMode <VaultMode>] [-ForcePromptAnswer <DialogResult[]>] [-WhatIf] [-Confirm]
 [<CommonParameters>]
```

### Descripción

Establecer las claves pública y privada de una entrada. El parámetro Key debe generarse con el cmdlet New-RDMSshKey. El parámetro InputObject acepta el ID de la entrada o un objeto de entrada devuelto por el cmdlet Get-RDMEntry. Para usar este cmdlet, el usuario debe tener permiso para editar la entrada o agregar una nueva. Solo se admiten las credenciales PrivateKey.

### Ejemplos

#### Ejemplo 1

```powershell
PS C:\> $entryId = '12345678-1234-1234-1234-123412345678'
PS C:\> $newKey = New-RDMSshKey -Algorithm RSA -Format PKCS1 -Size 2048
PS C:\> Set-RDMEntryPrivateKey -Key $newKey -InputObject $entryId -Set
```

Cambiar las claves pública y privada y hacer privada una entrada de credenciales SSH existente

#### Ejemplo 2

```powershell
PS C:\> $newKey = New-RDMSshKey -Algorithm RSA -Format PKCS1 -Size 2048
PS C:\> $entry = New-RDMEntry -Name 'MyNewEntry' -Type Credential
PS C:\> $entry.Credentials.CredentialType = 'PrivateKey'
PS C:\> Set-RDMEntryPrivateKey -Key $newKey -InputObject $entry -Set
```

Guardar una nueva entrada de credenciales SSH con las claves pública y privada generadas

### Parámetros

#### -Confirm

Solicita confirmación antes de ejecutar el cmdlet.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ForcePromptAnswer

Modificador que debe usarse con precaución. Responderá automáticamente a los mensajes que planteen preguntas de sí/no, sí/no/cancelar u ok/cancelar. En caso de varios mensajes, se pueden pasar varios valores a este parámetro. Estos son los valores aceptados:

* Yes: acepta el mensaje. Cubre los valores OK y Automatic.
* No: rechaza el mensaje sí/no/cancelar. "Cancel" es la opción alternativa si no existe la opción "No".
* Cancel: cancela el mensaje sí/no/cancelar. "No" es la opción alternativa si no existe la opción "Cancel".

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Entrada en la que establecer las claves pública y privada.

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Key

Objeto de clave obtenido de New-RDMSshKey

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSSSHKey
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -PassThru

Permite que el cmdlet devuelva los objetos que ha procesado, lo que resulta útil para su posterior procesamiento en la canalización o para su inspección.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Set

Guardar la entrada modificada

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -VaultMode

Bóveda en la que se aplicará el comando. Se ofrecen tres opciones: - Default: bóveda actual que se ha establecido. - User: bóveda específica del usuario actual. - Global: bóveda global del espacio de trabajo.

```yaml
Type: Devolutions.RemoteDesktopManager.VaultMode
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -WhatIf

Muestra lo que ocurriría si se ejecutara el cmdlet. El cmdlet no se ejecuta.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Este cmdlet admite los parámetros comunes: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction y -WarningVariable. Para más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Entradas

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection

Entrada que modificar. Se especifica por su ID o se obtiene de Get-RDMEntry.

### Salidas

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection

Objeto PSConnection devuelto cuando se usa PassThru

### Notas

Para más información, escriba "Get-Help Set-RDMEntryPrivateKey -detailed". Para obtener información técnica, escriba "Get-Help Set-RDMEntryPrivateKey -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/es/powershell-commands/set-rdmentryprivatekey.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
